Package com.collibra.dgc.core.api.dto.meta.complexrelation

# Class ChangeComplexRelationTypeRequest.Builder

Object
Builder

Enclosing class:
  `ChangeComplexRelationTypeRequest`

public static final class ChangeComplexRelationTypeRequest.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ChangeComplexRelationTypeRequest.Builder`
  `acronymCode(String acronymCode)`
  The new acronym code for the Complex Relation Type.
  `ChangeComplexRelationTypeRequest.Builder`
  `attributeTypes(List<ComplexRelationAttributeTypeRequest> attributeTypes)`
  The new list of attribute types for the Complex Relation Type.
  `ChangeComplexRelationTypeRequest`
  `build()`
  `ChangeComplexRelationTypeRequest.Builder`
  `but()`
  Deprecated.
  This method will be removed in the future.
  `ChangeComplexRelationTypeRequest.Builder`
  `color(String color)`
  The color of the symbol, in a hex format e.g.
  `ChangeComplexRelationTypeRequest.Builder`
  `description(String description)`
  The new description for the Complex Relation Type.
  `ChangeComplexRelationTypeRequest.Builder`
  `iconCode(String iconCode)`
  The new icon code for the Complex Relation Type.
  `ChangeComplexRelationTypeRequest.Builder`
  `id(UUID id)`
  Required. The ID of the Complex Relation Type to be changed.
  `ChangeComplexRelationTypeRequest.Builder`
  `legTypes(List<ComplexRelationLegTypeRequest> legTypes)`
  The new list of leg types for the Complex Relation Type.
  `ChangeComplexRelationTypeRequest.Builder`
  `name(String name)`
  The new name for the Complex Relation Type.
  `ChangeComplexRelationTypeRequest.Builder`
  `publicId(String publicId)`
  The new public id for the Complex Relation Type.
  `ChangeComplexRelationTypeRequest.Builder`
  `symbolType(AssetTypeSymbolType symbolType)`
  The new symbol type.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### but

    @Deprecated public ChangeComplexRelationTypeRequest.Builder but()
    Deprecated.
    This method will be removed in the future. Please, use `ChangeComplexRelationTypeRequest.builder()`
    Clone method for this Builder.

  - ### id

    public ChangeComplexRelationTypeRequest.Builder id(UUID id)
    Required. The ID of the Complex Relation Type to be changed.
    Returns:
      `this`.

  - ### publicId

    public ChangeComplexRelationTypeRequest.Builder publicId(String publicId)
    The new public id for the Complex Relation Type.

    It must be unique within all Asset Types, Complex Relation Types, Domain Types and Scopes. It should contain only ASCII letters and digits. It must start with an uppercase ASCII character. It must end with "_C".

    WARNING : The public id should only be changed with extreme caution, since it can break existing customizations. The only valid use case is to change it after creation of the type, if no public id was specified, and the generated proposal is not acceptable.
    Returns:
      `this`.

  - ### name

    public ChangeComplexRelationTypeRequest.Builder name(String name)
    The new name for the Complex Relation Type.
    Returns:
      `this`.

  - ### description

    public ChangeComplexRelationTypeRequest.Builder description(String description)
    The new description for the Complex Relation Type.
    Returns:
      `this`.

  - ### color

    public ChangeComplexRelationTypeRequest.Builder color(String color)
    The color of the symbol, in a hex format e.g. '#000000'. This format always includes the '#' and has a size of 7.
    Returns:
      `this`.

  - ### symbolType

    public ChangeComplexRelationTypeRequest.Builder symbolType(AssetTypeSymbolType symbolType)
    The new symbol type.
    Returns:
      `this`.

  - ### iconCode

    public ChangeComplexRelationTypeRequest.Builder iconCode(String iconCode)
    The new icon code for the Complex Relation Type.
    Returns:
      `this`.

  - ### acronymCode

    public ChangeComplexRelationTypeRequest.Builder acronymCode(String acronymCode)
    The new acronym code for the Complex Relation Type.
    Returns:
      `this`.

  - ### attributeTypes

    public ChangeComplexRelationTypeRequest.Builder attributeTypes(List<ComplexRelationAttributeTypeRequest> attributeTypes)
    The new list of attribute types for the Complex Relation Type.
    Returns:
      `this`.

  - ### legTypes

    public ChangeComplexRelationTypeRequest.Builder legTypes(List<ComplexRelationLegTypeRequest> legTypes)
    The new list of leg types for the Complex Relation Type.
    Returns:
      `this`.

  - ### build

    public ChangeComplexRelationTypeRequest build()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`